Bug 439189 - PkProgress cancellation
PkProgress cancellation
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
: 444877 (view as bug list)
Depends On:
Blocks: F9Target
  Show dependency treegraph
Reported: 2008-03-27 10:24 EDT by Matthias Clasen
Modified: 2008-05-06 13:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 13:06:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
canceled update (21.51 KB, image/png)
2008-03-29 14:14 EDT, Matthias Clasen
no flags Details

  None (edit)
Description Matthias Clasen 2008-03-27 10:24:52 EDT
If I do a system update from the icon, and then bring up the generic progress
dialog from there, and cancel the transaction, nothing happens. The update stops
to proceed, and the window just sits there, until it vanishes 30 seconds later.

I would expect to see a meaningful message saying
"System Update has been canceled" or something similar reassuring me that my
cancellation was successful.
Comment 1 Richard Hughes 2008-03-27 13:30:37 EDT
Do you get better notification with git?
Comment 2 Matthias Clasen 2008-03-29 14:13:39 EDT
No. I'll attach a screenshot of the end result with 0.1.10
Comment 3 Matthias Clasen 2008-03-29 14:14:16 EDT
Created attachment 299591 [details]
canceled update
Comment 4 Richard Hughes 2008-03-30 09:24:33 EDT
I've added some better cancellation stuff into git. The whole PkProgress UI
could do with a lot of rework, but at least the button should go insensitive and
it should tell you what's going on.

Can you try git for me and tell me what you think please? Thanks.
Comment 5 Matthias Clasen 2008-03-30 10:02:41 EDT
Yes, the button goes insensitive, and it says "The transaction has been canceled".

But the progressbars are still there, frozen in mid-flight. I think they should
be hidden, together with the cancel button. 

Also, we should do the same that we have done in other instances, and hide the
help button in PkProgress until we can offer help.
Comment 6 Richard Hughes 2008-04-11 11:13:28 EDT
I'll switch PkProgress to use the new GpkClient dialogs - and then everything
should look the same.
Comment 7 Richard Hughes 2008-05-06 13:06:13 EDT
Done in master.
Comment 8 Richard Hughes 2008-05-06 13:07:13 EDT
*** Bug 444877 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.